<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<rich:toolbar xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
              xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
              xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
              xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
              xmlns="http://www.w3.org/1999/xhtml" id="footerMenuToolBar">
    <!-- <rich:toolBarGroup location="left" itemSeparator="line" styleCfooterss="form"> -->
    <!--  To add back when the placeholders will be done -->
    <rich:toolbarGroup id="footerLeftToolBarGroup" location="left" styleClass="form">
        <a id="footerMenuAboutLink" href="javascript:#{rich:component('about')}.show()">#{messages['gazelle.common.about']}</a>
        <h:outputText id="footerMenuAboutOutputText" value="|"/>
        <a id="footerMenuContactUsLink" href="javascript:#{rich:component('contactUs')}.show()">#{messages['gazelle.common.contactUs']}</a>
        <h:outputText id="footerMenuContactUsOutputText" value="|"
                      rendered="#{not empty applicationPreferenceManager.getApplicationIssueTrackerUrl()}"/>
        <a4j:commandLink id="issueTrackeCommandLinkId" value="#{messages['gazelle.common.IssueTracker']}"
                         rendered="#{not empty applicationPreferenceManager.getApplicationIssueTrackerUrl()}"
                         onclick="#{rich:component('issueTracker')}.show();"/>
        <h:outputText id="separatorOutputText" value="|"/>
        <h:outputText id="copyrightOutputText"
                      value="#{messages['net.ihe.gazelle.evs.Copyright']} ${build.year} #{messages['net.ihe.gazelle.evs.IHEInternational']}"/>
    </rich:toolbarGroup>
    <h:form id="locale" action="#{localeSelector.select}">

    <rich:toolbarGroup id="footerRightToolBarGroup" location="right">
        <s:div id="footerRightDiv">
                <h:selectOneMenu value="#{localeSelector.localeString}"
                                 onchange="submit();">
                    <f:selectItems value="#{localeSelector.supportedLocales}"/>
                    <a4j:support event="onchange" action="#{localeSelector.select}" ajaxSingle="true"/>
                </h:selectOneMenu>
        </s:div>
    </rich:toolbarGroup>
    </h:form>
</rich:toolbar>
